package com.kingdee.eas.custom.expandassess;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.eas.framework.ICoreBillBase;
import com.kingdee.bos.Context;
import com.kingdee.eas.custom.expandassess.app.*;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.eas.framework.CoreBillBase;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class QuarterlyRatio extends CoreBillBase implements IQuarterlyRatio
{
    public QuarterlyRatio()
    {
        super();
        registerInterface(IQuarterlyRatio.class, this);
    }
    public QuarterlyRatio(Context ctx)
    {
        super(ctx);
        registerInterface(IQuarterlyRatio.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("6573A057");
    }
    private QuarterlyRatioController getController() throws BOSException
    {
        return (QuarterlyRatioController)getBizController();
    }
    /**
     *取集合-System defined method
     *@return
     */
    public QuarterlyRatioCollection getQuarterlyRatioCollection() throws BOSException
    {
        try {
            return getController().getQuarterlyRatioCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public QuarterlyRatioCollection getQuarterlyRatioCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getQuarterlyRatioCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public QuarterlyRatioCollection getQuarterlyRatioCollection(String oql) throws BOSException
    {
        try {
            return getController().getQuarterlyRatioCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public QuarterlyRatioInfo getQuarterlyRatioInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public QuarterlyRatioInfo getQuarterlyRatioInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public QuarterlyRatioInfo getQuarterlyRatioInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getQuarterlyRatioInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}